Skip to main content
PUT
/
api
/
v1
/
credit-card
/
{id}
Actualizar tarjeta de credito
curl --request PUT \
  --url https://api.raul.ugps.io/api/v1/credit-card/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "bank_name": "<string>",
  "last_four_digits": "<string>",
  "alias": "<string>",
  "credit_limit": 123,
  "closing_day": 123,
  "due_day": 123,
  "is_active": true
}
'
import requests

url = "https://api.raul.ugps.io/api/v1/credit-card/{id}"

payload = {
"bank_name": "<string>",
"last_four_digits": "<string>",
"alias": "<string>",
"credit_limit": 123,
"closing_day": 123,
"due_day": 123,
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
bank_name: '<string>',
last_four_digits: '<string>',
alias: '<string>',
credit_limit: 123,
closing_day: 123,
due_day: 123,
is_active: true
})
};

fetch('https://api.raul.ugps.io/api/v1/credit-card/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Bearer token authentication

Path Parameters

id
string
required

Body

application/json
bank_name
string

Nombre del banco

last_four_digits
string

Ultimos 4 digitos de la tarjeta

card_type
enum<string>

Tipo de tarjeta

Available options:
VISA,
MASTERCARD,
AMEX,
OTHER
alias
string

Alias de la tarjeta

credit_limit
number

Limite de credito

closing_day
number

Dia de cierre de facturacion (1-31)

due_day
number

Dia de vencimiento de pago (1-31)

is_active
boolean

Estado activo

Response

Tarjeta actualizada